gtkmm: Gtk::VBox Class Reference

gtkmm 3.1.16

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Related Functions

# Gtk::VBox Class Reference
Widgets | Container Widgets

Vertical Box for laying widgets in a vertical row. More...

Inheritance diagram for Gtk::VBox:
[legend]
Collaboration diagram for Gtk::VBox:
[legend]

List of all members.

## Public Member Functions
virtual | ~VBox ()
GtkVBox* | gobj ()
| Provides access to the underlying C GtkObject.
const GtkVBox* | gobj () const
| Provides access to the underlying C GtkObject.
| VBox (bool homogeneous=false, int spacing=0)
| Creates a new vertical box.
## Related Functions
(Note that these are not member functions.)
Gtk::VBox* | wrap (GtkVBox* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

Vertical Box for laying widgets in a vertical row.

You should create these objects, but it is more comfortable to pass around pointers of Gtk::Box. All the methods that do anything are in class Gtk::Box and this allows you to later change the direction of the box, when there's no dependencies to HBox and VBox classes.

Deprecated:
  Use Box instead, which is a very quick and easy change. But we recommend switching to Grid, since Box will go away eventually.

## Constructor & Destructor Documentation

virtual Gtk::VBox::~VBox | ( |  | ) | `[virtual]`

Gtk::VBox::VBox | ( | bool | homogeneous = `false`,
|  | int | spacing = `0`
| ) |  | `[explicit]`

Creates a new vertical box.

Parameters:

  spacing | Determines the space in pixels between child widgets.

## Member Function Documentation

GtkVBox* Gtk::VBox::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::Box.

Reimplemented in Gtk::ColorSelection, Gtk::FileChooserWidget, Gtk::RecentChooserWidget, and Gtk::FontSelection.

const GtkVBox* Gtk::VBox::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::Box.

Reimplemented in Gtk::ColorSelection, Gtk::FileChooserWidget, Gtk::RecentChooserWidget, and Gtk::FontSelection.

## Friends And Related Function Documentation

Gtk::VBox* wrap | ( | GtkVBox * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gtkmm/hvbox.h